import { h } from "@stencil/core";
import { insertStyles } from "./../../utils/utils";
export class PrivacyModal {
    componentWillLoad() {
        insertStyles(`https://cdn.ai12z.net/assets/bot/v2/tailwind.min.css`, this.el);
    }
    render() {
        if (!this.show)
            return null;
        return (h("div", { class: "w-full" }, h("div", { class: "privacy-msg", innerHTML: this.message })));
    }
    static get is() { return "privacy-modal"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["./privacy-modal.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["privacy-modal.css"]
        };
    }
    static get properties() {
        return {
            "message": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "message"
            },
            "show": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "show"
            }
        };
    }
    static get elementRef() { return "el"; }
}
